> For the complete documentation index, see [llms.txt](https://docs.orbs.network/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/working-directory.md).

# Working Directory

The working directory of your container is required to be `/opt/orbs` in order to conform with the protocol and allow the nodes to serve logs and status from the correct location. The orchestrator mounts this path explicitly.

You are allowed to create subdirectories inside this directory.

## Dockerfile example

The working directory should be defined in your Dockerfile like this:

```docker
# standard working directory
WORKDIR /opt/orbs
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/docker-image-implementation/working-directory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
